Bug 18782 - partitionless install from the second CD
Summary: partitionless install from the second CD
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: 7.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Brock Organ
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-10-10 08:03 UTC by vvs
Modified: 2007-04-18 16:29 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-12-08 19:53:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description vvs 2000-10-10 08:03:31 UTC
RedHat 7.0 with anaconda update from Oct, 9 applied during installation as
per instructions. Trying to do partitionless (loopback) install from CD
onto FAT16. When there is any package from second CD selected during
installation, anaconda will crash. Possible workaround is to not select
packages from the second CD during installation and install them later.

Traceback (innermost last):
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/iw/progress_gui.py", line
20, in run
    rc = self.todo.doInstall ()
  File "/tmp/updates/todo.py", line 1499, in doInstall
    if self.method.systemMounted (self.fstab, self.instPath,
self.hdList.selected()):
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/image.py", line 46, in
systemMounted
    self.loopbackFile = mntPoint + fstab.filesystemSpace(mntPoint)[0][0] +
\
IndexError: list index out of range

Local variables in innermost frame:
fstab: <fstab.GuiFstab instance at 84748f0>
mntPoint: /mnt/sysimage
selected: [ImageMagick, LPRng, MAKEDEV, Mesa, ORBit, SDL, SysVinit,
XFree86, XFree86-75dpi-fonts, XFree86-libs, XFree86-tools, XFree86-twm,
XFree86-xdm, XFree86-xfs, Xaw3d, Xconfigurator, anacron, apmd, arpwatch,
ash, at, audiofile, aumix, authconfig, awesfx, basesystem, bash, bc,
bdflush, bind-utils, bug-buddy, bzip2, cdda2wav, cdp, cdparanoia, cdrecord,
chkconfig, chkfontpath, compat-libstdc++, console-tools, control-center,
control-panel, cpio, cracklib, cracklib-dicts, crontabs, cyrus-sasl, db1,
db2, db3, desktop-backgrounds, dev, dhcpcd, dia, diffutils, dosfstools,
dump, e2fsprogs, ed, ee, eject, esound, expect, extace, file, filesystem,
fileutils, findutils, finger, fortune-mod, freetype, ftp, gawk, gdbm,
gdk-pixbuf, gdm, gedit, gftp, ghostscript, ghostscript-fonts, gimp, glade,
glib, glibc, gmc, gmp, gnome-applets, gnome-audio, gnome-audio-extra,
gnome-core, gnome-libs, gnome-linuxconf, gnome-media, gnome-pim,
gnome-print, gnome-users-guide, gnome-utils, gnorpm, gnotepad+, gnumeric,
gnupg, gphoto, gpm, gqview, grep, groff, groff-perl, gtk+, gtk-engines,
gtop, guile, gv, gzip, hdparm, ical, imlib, imlib-cfgeditor, indexhtml,
info, initscripts, ipchains, iproute, iptables, iputils, isapnptools,
kbdconfig, kernel, kernel-pcmcia-cs, kernel-smp, kernel-utils, kernelcfg,
krb5-libs, kudzu, less, libghttp, libglade, libgtop, libjpeg, libpng,
librep, libstdc++, libtermcap, libtiff, libungif, libxml, lilo, linuxconf,
logrotate, losetup, lsof, m4, magicdev, mailcap, mailx, man, mc, mikmod,
mingetty, mkbootdisk, mkinitrd, mkisofs, mkkickstart, mktemp, mkxauth,
modemtool, modutils, mount, mouseconfig, mpage, mpg123, mtools, multimedia,
ncftp, ncompress, ncurses, net-tools, netcfg, netpbm, netpbm-progs,
netscape-common, netscape-communicator, newt, nfs-utils, ntsysv, openldap,
openssh, openssh-askpass, openssh-askpass-gnome, openssh-clients, openssl,
pam, passwd, pciutils, perl, pidentd, playmidi, playmidi-X11, plugger,
pnm2ppa, popt, portmap, printtool, procmail, procps, psmisc, pump, pwdb,
pygnome, pygnome-libglade, pygtk, pygtk-libglade, python, python-xmlrpc,
pythonlib, quota, raidtools, rdate, readline, redhat-logos, redhat-release,
rep-gtk, rep-gtk-gnome, rep-gtk-libglade, rhn_register, rhn_register-gnome,
rhs-printfilters, rmt, rootfiles, rpm, rpm-python, rsh, rsync, rusers,
rwho, rxvt, samba-client, samba-common, sane, sash, sawfish, screen, sed,
sendmail, setserial, setup, setuptool, sh-utils, shadow-utils, shapecfg,
sharutils, slang, slocate, smpeg, sndconfig, sox, stat, stunnel,
switchdesk, switchdesk-gnome, sysklogd, talk, tar, tcl, tclx, tcp_wrappers,
tcsh, telnet, termcap, tetex-fonts, tetex-xdvi, textutils, time,
timeconfig, timetool, tix, tk, tkinter, tksysv, tmpwatch, traceroute,
umb-scheme, unzip, up2date, up2date-gnome, urw-fonts, usermode, utempter,
util-linux, vim-common, vim-minimal, vixie-cron, which, whois, words,
xcdroast, xchat, xinitrc, xloadimage, xmms, xpdf, xsane, xscreensaver,
xsri, yp-tools, ypbind, zip, zlib]
self: <image.CdromInstallMethod instance at 8470df8>
p: mkkickstart
changeloop: 1

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iimage
CdromInstallMethod
p4
(dp5
S'progressWindow'
p6

<failed>

Comment 1 Michael Fulbright 2000-11-13 16:48:32 UTC
Passed to QA to verify.

Comment 2 Brock Organ 2000-11-13 20:38:15 UTC
verified ... thanks for the report!

Comment 3 Erik Troan 2000-11-17 22:42:57 UTC
Fixed in CVS.

Comment 4 Aaron Brown 2000-12-13 22:19:38 UTC
Verified as resolved.


Note You need to log in before you can comment on or make changes to this bug.